<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Strike Rate Of Virat Kohli In Each Season</title>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>
    <style>
      .highcharts-figure,
      .highcharts-data-table table {
        min-width: 310px;
        max-width: 800px;
        margin: 1em auto;
      }

      #container {
        height: 400px;
      }

      .highcharts-data-table table {
        font-family: Verdana, sans-serif;
        border-collapse: collapse;
        border: 1px solid #ebebeb;
        margin: 10px auto;
        text-align: center;
        width: 100%;
        max-width: 500px;
      }
      .highcharts-data-table caption {
        padding: 1em 0;
        font-size: 1.2em;
        color: #555;
      }
      .highcharts-data-table th {
        font-weight: 600;
        padding: 0.5em;
      }
      .highcharts-data-table td,
      .highcharts-data-table th,
      .highcharts-data-table caption {
        padding: 0.5em;
      }
      .highcharts-data-table thead tr,
      .highcharts-data-table tr:nth-child(even) {
        background: #f8f8f8;
      }
      .highcharts-data-table tr:hover {
        background: #f1f7ff;
      }
    </style>
  </head>
  <body>
    <figure class="highcharts-figure">
      <div id="container"></div>
      <p class="highcharts-description">
        A basic column chart to show the strike rate of the batsman Virat Kohli
        for each season
      </p>
    </figure>
    <script>
      // XMLHttpRequest to issue HTTP requests
      var xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
          var response = JSON.parse(this.responseText);
          strikeRateOfViratChart(response);
        }
      };
      xhttp.open("GET", "http://localhost:8000/strikeRateOfVirat", true);
      xhttp.send();
      // created a chart function which takes an object as a parameter
      function strikeRateOfViratChart(obj) {
        Highcharts.chart("container", {
          chart: {
            type: "column"
          },
          title: {
            text: "Strike rate of Virat Kohli"
          },
          xAxis: {
            categories: Object.keys(obj),
            crosshair: true
          },
          yAxis: {
            min: 0,
            title: {
              text: "Strike Rate"
            }
          },
          series: [
            {
              name: "Strike Rate",
              data: Object.values(obj)
            }
          ]
        });
      }
    </script>
  </body>
</html>
